package com.steering.mes.zgmil.report;

import CoreFS.SA06.CoreReturnObject;
import CoreFS.SA08.CoreXmlSqlParsersFactory;

import com.steering.comm.converter.CoreConverter;
import com.steering.comm.db.DBCommon;

public class FrmReheatFurnace extends DBCommon {

    /**
     *查询再加热炉
     */
    public CoreReturnObject queryMinResult(String date, String endDate,
            String bc, String bz,String JudgeStoveNo, String[] plineCodes) {
        String sql = CoreXmlSqlParsersFactory
                .getSql("FrmReheatFurnace.queryMinResult");
        String sql1 = CoreConverter.toSqlConditionString("T2.PLINE_CODE", plineCodes);
        sql = sql.replaceAll("#something#", sql1);
        return this.getData(sql,new Object[]{date,endDate,bc,bz,JudgeStoveNo,date,endDate,bc,bz,JudgeStoveNo});
    }
}
